
# profile.redhat

# If vim does not set syntax on automatically, give these commands manually:

#vim: syntax on
#vim: set ft=sh

# Yes, I am pervert: I use both XEmacs and Vim.

PROFILE_REDHAT="1"
export PROFILE_REDHAT

OLDPATH="$PATH"
PATH="${PATH}:/usr/bin/X11:/usr/X11R6/bin:/usr/X11/bin:${HOME}/bin"

if tty > /dev/null 2>&1
then
    case $- in *i*)
        # Add here all commands, that must be run under interactive shells only
        # (both login- and non-login)

        if type resize > /dev/null 2>&1
        then
            eval `resize`
        fi

        if [ $LINES -gt 40 ]
        then

            R="`cat /etc/redhat-release`"

            case "$TERM" in
                *xterm*|rxvt*|gnome-terminal|*onsole|zvt|dterm|kterm|Eterm|zterm|screen*)
                linux_logo -L 1 -t "$R" -u -y -F '#E Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#H #U, #L'
                ;;

                vt100)
                if test "$TERM_PROGRAM" = "Apple_Terminal"
                then
                    linux_logo -L 1 -t "$R" -u -y -F '#E Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#H #U, #L'
                else
                    linux_logo -L 1 -a -t "$R" -u -y -F '#E Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#H #U, #L'
                fi
                ;;

                linux)
                case "`date '+%m'`" in
                    11|12)
                    W2L_SCR="03"
                    Welcome2L -private -scr${W2L_SCR} -msg"$R"
                    echo ""
                    linux_logo -L 1 -t "$R" -g -u -y -F 'Kernel compiled #C\n#N #M #X #T #P, #B Bogomips Total\n#U, #L'
                    echo ""
                    ;;

                    *)
                    W2L_SCR="01"
                    Welcome2L -private -scr${W2L_SCR} -msg"$R"
                    echo ""
                    linux_logo -L 1 -t "$R" -g -u -y -F 'Kernel compiled #C\n#N #M #X #T #P, #B Bogomips Total\n#U, #L'
                    echo ""
                esac

                ;;

                *)
                linux_logo -L 1 -a -t "$R" -u -y -F '#E Kernel #V\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#H #U, #L'

            esac

        fi

    esac
fi

#if test -d /etc/profile.d
#then
# for i in /etc/profile.d/*.sh ; do
#   if [ -x $i ]; then
#     . $i
#   fi
# done
#fi

PATH="$OLDPATH"
export PATH

unset OLDPATH
unset W2L_SRC
unset R

